summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD38
2 files changed, 28 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7f919ad9f0e..94543212268 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -2,7 +2,7 @@ pkgbase = zlib-ng-git
pkgdesc = zlib replacement with optimizations for "next generation" systems
pkgver = 1.9.9
pkgrel = 1
- epoch = 1
+ epoch = 2
url = https://github.com/zlib-ng/zlib-ng
arch = any
license = custom
diff --git a/PKGBUILD b/PKGBUILD
index 16b09495baa..504e7cb3b6f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,16 +3,32 @@
pkgname="zlib-ng-git"
pkgver=1.9.9
pkgrel=1
-epoch=1
+epoch=2
pkgdesc="zlib replacement with optimizations for \"next generation\" systems"
-arch=("any")
+arch=(
+ "any"
+)
url="https://github.com/zlib-ng/zlib-ng"
-license=("custom")
-depends=("glibc")
-makedepends=("cmake" "git")
-provides=("zlib=1.2.11" "zlib-ng=1.9.9")
-conflicts=("zlib-ng")
-options=("staticlibs")
+license=(
+ "custom"
+)
+depends=(
+ "glibc"
+)
+makedepends=(
+ "cmake"
+ "git"
+)
+provides=(
+ "zlib=1.2.11"
+ "zlib-ng=1.9.9"
+)
+conflicts=(
+ "zlib-ng"
+)
+options=(
+ "staticlibs"
+)
source=(
"git+${url}.git"
"zlib-ng.conf"
@@ -24,14 +40,14 @@ b2sums=(
build()
{
- cd "zlib-ng"
+ cd "zlib-ng" || exit
./configure --prefix="/opt/zlib-ng" --zlib-compat
make
}
check()
{
- cd "zlib-ng"
+ cd "zlib-ng" || exit
make test
}
@@ -39,7 +55,7 @@ package()
{
install -D -m644 "zlib-ng.conf" "${pkgdir}/etc/ld.so.conf.d/zlib-ng.conf"
- cd "zlib-ng"
+ cd "zlib-ng" || exit
make install DESTDIR="${pkgdir}"
install -D -m644 "LICENSE.md" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"